document.getElementById('startBtn').addEventListener('click', function() {
  const inputText = document.getElementById('inputText').value.trim();
  if (!inputText) {
    alert('Please enter some text to start reading.');
    return;
  }

  const words = inputText.split(/\s+/);
  const wordDisplay = document.getElementById('wordDisplay');
  wordDisplay.innerHTML = '';

  let currentIndex = 0;

  function displayWord() {
    if (currentIndex < words.length) {
      const wordSpan = document.createElement('span');
      wordSpan.textContent = words[currentIndex] + ' ';
      wordDisplay.appendChild(wordSpan);
      currentIndex++;
    }
  }

  wordDisplay.addEventListener('scroll', function() {
    const { scrollTop, scrollHeight, clientHeight } = wordDisplay;
    if (scrollTop + clientHeight >= scrollHeight - 10) {
      displayWord();
    }
  });

  // Initial display of first word
  displayWord();
});